type Mutation {
  createUpdateRgpd(input: RgpdInput!): Rgpd!
  deleteRgpd(id: ID!): Rgpd
  updateRgpdPolitiqueConfidentialite(id: ID!, politiqueConfidentialite: String!): Rgpd
  updateRgpdConditionUtilisation(id: ID!, conditionUtilisation: String!): Rgpd
  updateRgpdInformationsCookies(id: ID!, informationsCookies: String!): Rgpd
}

type Query {
  rgpd(id: ID!): Rgpd
  rgpds(idGroupement: ID): [Rgpd!]!
  checkAcceptRgpd(idUser: ID!): Boolean!
}

input RgpdInput {
  id: ID
  politiqueConfidentialite: String
  conditionUtilisation: String
  informationsCookies: String
}

type Rgpd {
  id: ID!
  politiqueConfidentialite: String
  conditionUtilisation: String
  informationsCookies: String
  groupement: Groupement
  userCreation: User
  userModification: User
  dateCreation: DateTime!
  dateModification: DateTime!
}
